SplFileInfo::isDir
SplFileInfo::isFile
SplFileInfo
PHP Manual

# SplFileInfo::isExecutable

(PHP 5 >= 5.1.2)

SplFileInfo::isExecutable — Tells if the file is executable

### Description

public bool SplFileInfo::isExecutable ( void )

Checks if the file is executable.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if executable, `FALSE` otherwise.

### Examples

Example #1 SplFileInfo::isExecutable() example

`<?php
$info = new SplFileInfo('/usr/bin/php');
var_dump($info->isExecutable());
$info = new SplFileInfo('/usr/bin');
var_dump($info->isExecutable());
$info = new SplFileInfo('foo');
var_dump($info->isExecutable());
?>`

The above example will output something similar to:

    bool(true)
    bool(true)
    bool(false)

SplFileInfo::isDir
SplFileInfo::isFile
SplFileInfo
PHP Manual